Inboxes
Add or remove agent bot
To add an agent bot pass agent_bot id, to remove agent bot from an inbox pass null
POST
/
api
/
v1
/
accounts
/
{account_id}
/
inboxes
/
{id}
/
set_agent_bot
Add or remove agent bot
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"agent_bot": 1
}'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot"
payload = { "agent_bot": 1 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_bot: 1})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
ID of the inbox
Body
application/json
Agent bot ID
Example:
1
Response
Success
⌘I
Add or remove agent bot
